defmodule Depbuster.MixProject do
  use Mix.Project

  def project do
    [
      app: :depbuster,
      version: "0.1.0",
      elixir: "~> 1.13",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      package: package(),
      description: description()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:ex_doc, "~> 0.14", only: :dev, runtime: false}
    ]
  end

  defp description() do
    "A library, that checks outdated deps in elixir projects."
  end

  defp package() do
    [
      files: ~w(lib .formatter.exs mix.exs README* LICENSE* CHANGELOG*),
      licenses: ["MIT License"],
      links: %{"GitHub" => "https://github.com/solar05/depbuster", "HexDocs" => "https://hexdocs.pm/depbuster"}
    ]
  end
end
